<template>
    <footer :style="{marginTop: mt+'px'}">
        <div class="container">
            <div class="menu-section" hidden>
                <div class="item" v-for="lang of languages" :key="lang.id" @click="setLang(lang)">{{lang.title}}</div>
            </div>
            <div class="menu-section">
                <a class="item">Solutions</a>
                <a class="item">Prices</a>
                <a class="item">Plans Comparison Table</a>
                <a class="item">Garanties</a>
                <a class="item">Testimonials</a>
            </div>
            <div class="menu-section">
                <a class="item">Privacy Policy</a>
                <a class="item">Terms & Conditions</a>
                <a class="item">FAQ</a>
            </div>
            <div class="menu-section">
                <a class="item">Contact Us</a>
                <div class="socials">
                    <a href="/"><img src="../assets/img/icons/socials/f.png" alt="Facebook"></a>
                    <a href="/"><img src="../assets/img/icons/socials/ins.png" alt="Instagram"></a>
                </div>
            </div>
            <div class="copy">
                <div class="year">© Crisis Insider, 2020</div>
                <div class="reserved">All Rights Reserved</div>
            </div>
        </div>

        <img srcset="../assets/img/backgrounds/figure11.png, ../assets/img/backgrounds/figure11.2x.png 2x"
             src="figure11.png" alt="Figure 11" class="figure11">
    </footer>
</template>

<script>
    import Languages from "../data/langs";

    export default {
        name: "AppFooter",
        data: () => ({
            languages: Languages().getLanguages()
        }),
        props: {
            mt: {
                type: Number,
                default: () => 0
            }
        },
        methods: {
            setLang: function ({id}) {
                this.$i18n.locale = id;
            }
        }
    }
</script>

<style scoped lang="scss">
    footer {
        position: relative;
        display: flex;
        justify-content: center;
        height: 269px;
        overflow: hidden;

        .figure11 {
            position: absolute;
            bottom: -10px;
            right: -100px;
        }

        .container {
            width: 1000px;
            display: flex;
            justify-content: center;

            .menu-section {
                display: block;
                font-family: $mainFont, sans-serif;
                font-size: 14px;
                letter-spacing: .86px;
                color: #0263FF;
                width: calc((100% - 144px) / 4);

                .item {
                    display: block;
                    margin-top: 15px;
                }

                .socials {
                    margin-top: 40px;

                    a {
                        display: inline-block;

                        & + a {
                            margin-left: 16px;
                        }
                    }
                }
            }

            .copy {
                font-family: $mainFont, sans-serif;
                font-size: 14px;
                letter-spacing: .86px;
                text-align: right;

                .year {
                    color: #4D4D65;
                }

                .reserved {
                    font-size: 12px;
                    color: #ADAEB8;
                    margin-top: 8px;
                }
            }
        }
    }
</style>
